summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2023-03-14 17:32:02 -0400
committerbill-auger <mr.j.spam.me@gmail.com>2023-03-14 18:31:52 -0400
commite6ff958e5b76a94e670cb6658426972b0cfbb4d3 (patch)
treeac000ccd431c7f3b6a2e9b1933c15cd483dad0e7
parent25c440ce016579887da20fc6216d23b1866eb34c (diff)
[epiphany]: upgrade to v43.1
-rw-r--r--libre/epiphany/PKGBUILD66
-rw-r--r--libre/epiphany/fix-test.diff13
2 files changed, 61 insertions, 18 deletions
diff --git a/libre/epiphany/PKGBUILD b/libre/epiphany/PKGBUILD
index 877b126dc..7c07a2ac3 100644
--- a/libre/epiphany/PKGBUILD
+++ b/libre/epiphany/PKGBUILD
@@ -13,55 +13,85 @@
# - removed useless dependency on icu because it's not
# used at runtime according to readelf -d
# - pin to sodeps
+# - disabled tests by default (require networking)
pkgname=epiphany
-pkgver=43.0
+pkgver=43.1
pkgrel=1
pkgrel+=.parabola1
pkgdesc="A GNOME web browser based on the WebKit rendering engine"
-pkgdesc+=", with DuckDuckGo-HTML search"
url="https://wiki.gnome.org/Apps/Web"
arch=(x86_64)
arch+=(i686 armv7h)
license=(GPL)
-depends=(webkit2gtk-4.1 gcr icu libdazzle libhandy libarchive libportal-gtk3
- libsoup3)
-depends=( $( sed 's| icu | |' <<<${depends[@]} ) )
+depends=(
+ gcr
+ icu
+ libarchive
+ libdazzle
+ libhandy
+ libportal-gtk3
+ libsoup3
+ webkit2gtk-4.1
+)
+depends=( ${depends[*]/icu/} )
depends+=(libhogweed.so)
-makedepends=(docbook-xml startup-notification lsb-release gobject-introspection
- yelp-tools git meson)
-checkdepends=(xorg-server-xvfb aspell hspell hunspell nuspell libvoikko)
+makedepends=(
+ docbook-xml
+ git
+ gobject-introspection
+ lsb-release
+ meson
+ startup-notification
+ yelp-tools
+)
+checkdepends=(
+ aspell
+ hspell
+ hunspell
+ libvoikko
+ nuspell
+ xorg-server-xvfb
+)
groups=(gnome)
-_commit=e5882e2b1fa040fbe6494ee9808591046a6eafa5 # tags/43.0^0
-source=("git+https://gitlab.gnome.org/GNOME/epiphany.git#commit=$_commit")
+_commit=e21c2e68f34fcf23ca560088479e13c9929a4c36 # tags/43.1^0
+source=(
+ "git+https://gitlab.gnome.org/GNOME/epiphany.git#commit=$_commit"
+ fix-test.diff
+)
source+=(libre.patch)
-sha256sums=('SKIP')
-sha256sums+=('bf1dd1692ec9f94f8fc669a5ee71dd811d6083465dbb197e3fcc64e2aaf2f709')
+b2sums=('SKIP'
+ '05121ff5f759ec637a718c9b39406f9a384227a312d69f6dc74e73fde8351689d588a30dddea3cfe0a6edb094fdcf5382eb5ff725bb2adfccdff87ab3cf4c953')
+b2sums+=('203dcf6e532aa4778662aab6ec7e4628d5ed05d4e22a3be5cf80ec9bc17610b650a4b8c2bed66337213aa2bf6a3ee7966f972aa2422571d75caf2f4ba792c6c8')
-# check() requires networking
-_run_check=0
+
+_DISABLE_TESTS=1 # check() requires networking
pkgver() {
- cd $pkgname
+ cd epiphany
git describe --tags | sed 's/[^-]*-g/r&/;s/-/+/g'
}
prepare() {
- cd $pkgname
+ cd epiphany
+
+ # Fix encoding test; perhaps caused by different glibc or locale env
+ # https://gitlab.gnome.org/GNOME/epiphany/-/issues/1842
+ git apply -3 ../fix-test.diff
echo "applying libre.patch"
patch -Np1 -i ../libre.patch
}
build() {
- arch-meson $pkgname build
+ arch-meson epiphany build
meson compile -C build
}
check() {
- (( _run_check )) || ! echo "skipping check()" || return 0
+ (( ! _DISABLE_TESTS )) || ! echo "skipping check()" || return 0
dbus-run-session xvfb-run -s '-nolisten local' \
meson test -C build --print-errorlogs
diff --git a/libre/epiphany/fix-test.diff b/libre/epiphany/fix-test.diff
new file mode 100644
index 000000000..cfb9fa459
--- /dev/null
+++ b/libre/epiphany/fix-test.diff
@@ -0,0 +1,13 @@
+diff --git i/tests/ephy-encodings-test.c w/tests/ephy-encodings-test.c
+index a3ea7e781..4874ca33e 100644
+--- i/tests/ephy-encodings-test.c
++++ w/tests/ephy-encodings-test.c
+@@ -44,7 +44,7 @@ test_ephy_encodings_create (void)
+ g_assert_cmpstr (ephy_encoding_get_encoding (encoding), ==, "UTF-8");
+ g_assert_cmpstr (ephy_encoding_get_title (encoding), ==, "Unicode (UTF-8)");
+ g_assert_cmpstr (ephy_encoding_get_title_elided (encoding), ==, "Unicode (UTF-8)");
+- g_assert_cmpstr (ephy_encoding_get_collation_key (encoding), ==, "\311\263\307\276\307\205\305\271\310\215\306\202\306\216\311\263\311\250\306\245\305\237\001\035\035\035\035\035\035\035\035\035\035\035\001\007\002\002\002\002\002\002\007\007\007\002\001\001\346\244\273\001\346\215\264\001\346\211\243\001\346\204\235\001\346\216\257\001\346\205\217\001\346\206\212\001\343\265\233\001\343\265\242\001\346\244\273\001\346\244\231\001\346\234\257\001\343\265\247\001\345\277\241\001\343\265\243");
++ g_assert_cmpstr (ephy_encoding_get_collation_key (encoding), ==, "Unicode (UTF-8)");
+ g_assert_cmpint (ephy_encoding_get_language_groups (encoding), ==, LG_UNICODE);
+
+ g_object_unref (encoding);